/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2009, 2010. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:  
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp. 
 *******************************************************************************/
package com.ibm.rational.buildforge.buildagent.client;

import com.ibm.rational.buildforge.buildagent.internal.client.BuildAgentConnectClient;
import com.ibm.team.repository.client.util.ClientLibraryFactory;
import com.ibm.team.repository.client.util.IClientLibraryContext;

public class BuildAgentConnectClientFactory extends ClientLibraryFactory {

	@Override
    /*
     * (non-Javadoc)
     * 
     * @see com.ibm.team.repository.common.client.util.ClientLibraryFactory#createClientLibrary(com.ibm.team.repository.common.client.util.IClientLibraryContext)
     */
	public Object createClientLibrary(IClientLibraryContext context) {
    	return new BuildAgentConnectClient(context);
	}

}
