/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2008, 2010. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp. 
 *******************************************************************************/
package com.ibm.rational.connector.buildforge.ui;

import com.ibm.team.build.ui.editors.builddefinition.AbstractConfigurationElementEditor;
import com.ibm.team.build.ui.editors.builddefinition.IConfigurationElementEditorFactory;

/**
 * Factory for the Build Forge configuration editor.
 */
public class BuildForgeConfigurationEditorFactory implements IConfigurationElementEditorFactory {

	/*
	 * (non-Javadoc)
	 * 
	 * @seecom.ibm.team.build.ui.editors.builddefinition.
	 * IConfigurationElementEditorFactory#createElementEditor(java.lang.String,
	 * java.lang.String)
	 */
	public AbstractConfigurationElementEditor createElementEditor(String elementId, String editorTitle) {
		return new BuildForgeConfigurationEditor(elementId, editorTitle);
	}

}
