/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2008, 2011. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:  Use,
 * duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 *******************************************************************************/
package com.ibm.rational.connector.hudson.internal.client;

import com.ibm.team.repository.client.util.ClientLibraryFactory;
import com.ibm.team.repository.client.util.IClientLibraryContext;

/**
 * Shell class that only extends ClientLibraryFactory so that the Hudson client
 * services can be called.
 * 
 * @author Spencer Murata
 */
public class HudsonServiceClientFactory extends ClientLibraryFactory {

	@Override
	/*
	 * (non-Javadoc) Intentionally not documented. See parent.
	 */
	public Object createClientLibrary(IClientLibraryContext context) {
		return new HudsonServiceClient(context);
	}

}
