/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2008, 2011. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:  Use,
 * duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 *******************************************************************************/
package com.ibm.rational.connector.hudson.internal.client;

import org.eclipse.osgi.util.NLS;


/**
 * NLS Class to hold the translations of string literals.
 * 
 * @author Spencer Murata
 *
 */
public class Messages extends NLS {
	private static final String BUNDLE_NAME = "com.ibm.rational.connector.hudson.internal.client.messages"; //$NON-NLS-1$

	static {
		// initialize resource bundle
		NLS.initializeMessages(BUNDLE_NAME, Messages.class);
	}

	private Messages() {
	}
	
	/**
	 * String literal for service not found.
	 */
	public static String HudsonServiceClient_SERVICE_NOT_FOUND;

}
