/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2011. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:  Use,
 * duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 *******************************************************************************/
package com.ibm.rational.connector.hudson.ui;

import com.ibm.team.build.ui.editors.buildengine.AbstractEngineConfigurationElementEditor;
import com.ibm.team.build.ui.editors.buildengine.IEngineConfigurationElementEditorFactory;

/**
 * Factory class to create the Hudson engine UI object.
 */
public class HudsonEngineConfigurationElementEditorFactory implements
		IEngineConfigurationElementEditorFactory {

	/*
	 * (non-Javadoc) Intentionally not documented. See parent.
	 */
	public AbstractEngineConfigurationElementEditor createElementEditor(
			String elementId, String editorTitle) {
		return new HudsonEngineConfigurationEditor(elementId, editorTitle);
	}

}
