/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2007, 2009. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp. 
 *******************************************************************************/

package com.ibm.team.build.internal.java.ui.editors.result.junit;

import org.eclipse.ui.forms.editor.FormEditor;

import com.ibm.team.build.ui.editors.result.AbstractBuildResultContributionProvider;
import com.ibm.team.build.ui.editors.result.IBuildResultContext;
import com.ibm.team.build.ui.editors.result.IBuildResultContributionProviderDelegate;

/**
 * Delegate class for instantiating an instance of
 * {@link JUnitContributionProvider}
 */
public class JUnitContributionProviderDelegate implements IBuildResultContributionProviderDelegate {
    /*
     * (non-Javadoc) Intentionally not documented. See parent.
     */
    public AbstractBuildResultContributionProvider getBuildResultContributionProvider(FormEditor editor, String id,
            IBuildResultContext context) {
        return new JUnitContributionProvider(editor, id, context);
    }

}
