/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2009. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp. 
 *******************************************************************************/
package com.ibm.team.build.internal.java.ui.junit;

import org.eclipse.jdt.junit.launcher.JUnitLaunchShortcut;
import org.eclipse.pde.ui.launcher.JUnitWorkbenchLaunchShortcut;
import org.eclipse.ui.IEditorActionDelegate;

/**
 * Action delegate for launching as a JUnit Plugin test in run mode.
 */
public class RunJUnitPluginLaunchActionDelegate extends AbstractJUnitLaunchActionDelegate implements
        IEditorActionDelegate {

    /*
     * (non-Javadoc)
     * 
     * @see com.ibm.team.build.internal.ui.junit.AbstractJUnitLaunchActionDelegate#getLaunchMode()
     */
    public String getLaunchMode() {
        return LAUNCH_MODE_RUN;
    }

    /*
     * (non-Javadoc)
     * 
     * @see com.ibm.team.build.internal.ui.junit.AbstractJUnitLaunchActionDelegate#getLaunchShortcut()
     */
    public JUnitLaunchShortcut getLaunchShortcut() {
        return new JUnitWorkbenchLaunchShortcut();
    }
}
