/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2011. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp. 
 *******************************************************************************/

package com.ibm.team.build.internal.ui;

import java.util.List;

import com.ibm.team.build.internal.common.MicrosoftBuildItem;

/**
 * Listener to receive events about property addition, removal, and editing in
 * the <code>MicrosoftBuildItemsTableControl</code>.
 */
public interface IMicrosoftBuildItemControlListener {
    /**
     * Indicates that a build items changed.
     * @param buildItemProperties 
     */
    public void buildItemsChanged(List<MicrosoftBuildItem> buildItemProperties);
}
