/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2008, 2010. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp. 
 *******************************************************************************/
package com.ibm.rational.connector.buildforge.ui;

import com.ibm.team.build.ui.editors.buildengine.AbstractEngineConfigurationElementEditor;
import com.ibm.team.build.ui.editors.buildengine.IEngineConfigurationElementEditorFactory;

/**
 * Factory for the Build Forge engine configuration editor.
 */
public class BuildForgeEngineConfigurationEditorFactory implements IEngineConfigurationElementEditorFactory {

	/*
	 * (non-Javadoc)
	 */
	public AbstractEngineConfigurationElementEditor createElementEditor(String elementId, String editorTitle) {
		return new BuildForgeEngineConfigurationEditor(elementId, editorTitle);
	}

}
