/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2011. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:  Use,
 * duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 *******************************************************************************/
package com.ibm.rational.connector.hudson.ui;

import com.ibm.team.build.ui.editors.builddefinition.AbstractConfigurationElementEditor;
import com.ibm.team.build.ui.editors.builddefinition.IConfigurationElementEditorFactory;

/**
 * Factory class to create the Hudson Build Definition UI class.
 */
public class HudsonConfigurationElementEditorFactory implements
		IConfigurationElementEditorFactory {

	/*
	 * (non-Javadoc) Intentionally not documented. See parent.
	 */
	public AbstractConfigurationElementEditor createElementEditor(
			String elementId, String editorTitle) {
		return new HudsonConfigurationEditor(elementId, editorTitle);
	}

}
