/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2006, 2009. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp. 
 *******************************************************************************/

package com.ibm.team.build.internal.java.ui.editors.result.compile;

import com.ibm.team.build.internal.ui.editors.result.AbstractBuildTreeNode;

/**
 * Base class for all compile results tree nodes.
 */
public abstract class AbstractCompileTreeNode extends AbstractBuildTreeNode implements ICompileTreeNode {

    /**
     * Create an AbstractCompileTreeNode object with the given
     * {@link ICompileTreeNode} as the parent.
     * 
     * @param parentNode
     *            The parent node of this tree node.
     */
    public AbstractCompileTreeNode(ICompileTreeNode parentNode) {
        super(parentNode);
    }
}
