/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2010. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp. 
 *******************************************************************************/

package com.ibm.team.build.internal.ui.notification;

import com.ibm.team.build.ui.editors.builddefinition.AbstractConfigurationElementEditor;
import com.ibm.team.build.ui.editors.builddefinition.IConfigurationElementEditorFactory;

/**
 * Factory for the Email Notification Configuration Editor.
 */
public class NotificationConfigurationEditorFactory implements IConfigurationElementEditorFactory {

    /*
     * (non-Javadoc) Intentionally not documented. See parent.
     */
    public AbstractConfigurationElementEditor createElementEditor(String elementId, String editorTitle) {
        return new NotificationConfigurationEditor(elementId, editorTitle);
    }

}
