/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2009, 2010. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:  Use,
 * duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/

package com.ibm.team.build.internal.ui.notification;

import com.ibm.team.process.ide.ui.IProcessAspectEditorFactory;
import com.ibm.team.process.ide.ui.ProcessAspectEditor;

public class NotificationProcessAspectEditorFactory implements IProcessAspectEditorFactory {

    public ProcessAspectEditor createProcessAspectEditor(String processAspectId) {
        return new NotificationProcessAspectEditor(processAspectId);
    }

}
